routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return ('welcome');
});

Route::get('/login', 'User@login');
Route::get('/login', 'User@login');
Route::post('/loginPost', 'User@loginPost');
Route::get('/logout', 'User@logout');

Route::get('/dashboard', 'User@index');

Route::get('/report', 'Report@index');
Route::get('/report/download', 'Report@download');

Route::get('/list/makanan', 'ShowData@makanan');
Route::get('/list/minuman', 'ShowData@minuman');

Route::get('/upload', 'MakananController@uploadForm');
Route::post('/upload', 'MakananController@uploadFile');


Route::resource('/minuman', MinumanController::class);
Route::resource('/makanan', MakananController::class);

// Route::resource([
//     'makanan' => MakananController::class,
//     'minuman' => MinumanController::class,
// ]);

app/Models/Makanan.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Makanan extends Model
{
    protected  $table = "makanan";

    protected $fillable = [
        'judul',
        'content',
        'image'
    ];
}

app/Http/Controllers/MakananController.php
<?php

namespace App\Http\Controllers;

use App\Models\Makanan;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Illuminate\Http\UploadedFile;
use Illuminate\Support\Facades\Redis;
use Illuminate\Support\Str;

class MakananController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if (!Session::get('login')) {
            return redirect('login')->with('alert', 'Kamu harus login dulu');
        } else {
            $data_makanan = Makanan::all();
            $count_makanan = $data_makanan->count();

            return view(
                'makanan.index',
                [
                    'data_makanan' => $data_makanan,
                    'count_makanan' => $count_makanan
                ]
            );
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if (!Session::get('login')) {
            return redirect('login')->with('alert', 'Kamu harus login dulu');
        } else {
            return view('makanan.create');
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $input = $request->all();
        if ($request->hasFile('image')) {
            $destination_path = 'public/images/products';
            $image = $request->file('image');

            $image_name = $image->getClientOriginalName();
            $extension = pathinfo($image_name)['extension'];
            $image_name = preg_replace('/\\.[^.\\s]{3,4}$/', '', $image_name);
            $image_name = Str::slug($image_name);
            $image_name = $image_name . '-' . Str::random(3) . '.' . $extension;
            // return ("$image_name.$extension");
            $path = $request->file('image')->storeAs($destination_path, $image_name);

            // $path = $request->file('image')->store($destination_path);
            // $image_name = $path->getClientOriginalName();

            $input['image'] = $image_name;
        }

        Makanan::create($input);
        return redirect('/makanan')->with('sukses', 'Data berhasil ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data_makanan = Makanan::find($id);

        return view(
            'makanan.edit',
            [
                'data_makanan' => $data_makanan,
            ]
        );
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $data_makanan = Makanan::find($id);

        $data_makanan->update($request->all());

        return redirect('/makanan')->with('sukses', 'Data berhasil diperbarui');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $data_makanan = Makanan::find($id);
        $data_makanan->delete();

        return redirect('/makanan')->with('sukses', 'Data berhasil dihapus');
    }

    // public function uploadForm()
    // {
    //     return view('makanan.create2');
    // }
    // public function uploadFile(Request $request)
    // {
    //     $path = $request->file->store('public');
    //     return "Success .$path.";
    // }
}

resources/views/makanan/create.blade.php
@extends('layouts.master')
@section('title','CMS | Makanan')
@section('content')
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Makanan</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Home</a></li>
                    <li class="breadcrumb-item active">Makanan</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <!-- left column -->
            <div class="col-md-12">
                <!-- general form elements -->
                <div class="card card-primary">
                    <div class="card-header">
                        <h3 class="card-title">Tambah Makanan</h3>
                    </div>

                    <form method="POST" enctype="multipart/form-data" action="{{route('makanan.store')}}">
                        @csrf
                        <div class="form-group">
                            <label>Judul:</label>
                            <input name="judul" type="text" class="form-control" id="judul" placeholder="Judul Makanan">
                        </div>
                        <div class="form-group">
                            <label>Content:</label>
                            <input name="content" type="text" class="form-control" id="content" placeholder="Content">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputFile">File input</label>
                            <div class="input-group">
                                <div class="custom-file">
                                    <input name="image" type="file" class="custom-file-input" id="image">
                                    <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                                </div>
                                <div class="input-group-append">
                                    <span class="input-group-text" id="">Upload</span>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <button type="submit" name="submit">Upload</button>
                        </div>
                        <!-- <input type="file" name="image">
                        <button type="submit" name="submit">Upload</button> -->
                    </form>

                    <!-- /.card-header -->
                    <!-- form start -->
                    <!-- <form action="{{route('makanan.store')}}" method="POST" role="form" enctype="multipart/form-datas">
                        @csrf
                        <div class="card-body"> -->
                    <!-- <div class="form-group">
                                <label>Judul:</label>
                                <input name="judul" type="text" class="form-control" id="judul" placeholder="Judul Makanan">
                            </div>
                            <div class="form-group">
                                <label>Content:</label>
                                <input name="content" type="text" class="form-control" id="content" placeholder="Content">
                            </div> -->
                    <!-- <div class="form-group">
                                <label for="exampleInputFile">File input</label>
                                <div class="input-group">
                                    <div class="custom-file">
                                        <input name="file" type="file" class="custom-file-input" id="file">
                                        <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                                    </div>
                                    <div class="input-group-append">
                                        <span class="input-group-text" id="">Upload</span>
                                    </div>
                                </div>
                            </div> -->
                    <!-- <input type="file" name="file">
                            <button type="submit" name="submit">Upload</button> -->
                </div>
                <!-- /.card-body -->

                <!-- <div class="card-footer">
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </form> -->
            </div>
            <!-- /.card -->
        </div>
        <!--/.col (left) -->
    </div>
    <!-- /.row -->
    </div><!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection

@section('additional')
<!-- jQuery -->
<script src="/adminlte/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="/adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- bs-custom-file-input -->
<script src="/adminlte/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>
<!-- AdminLTE App -->
<script src="/adminlte/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="/adminlte/js/demo.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
        bsCustomFileInput.init();
    });
</script>
</body>
@endsection

resources/views/makanan/create2.blade.php
<!DOCTYPE html>

<body>
    <form method="POST" enctype="multipart/form-data" action="/upload">
        @csrf
        <input type="file" name="file">
        <button type="submit" name="submit">Upload</button>
    </form>
</body>

resources/views/makanan/edit.blade.php
@extends('layouts.master')
@section('title','CMS | Makanan')
@section('content')
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Makanan</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Home</a></li>
                    <li class="breadcrumb-item active">Makanan</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <!-- left column -->
            <div class="col-md-12">
                <!-- general form elements -->
                <div class="card card-primary">
                    <div class="card-header">
                        <h3 class="card-title">Edit Makanan</h3>
                    </div>
                    <!-- /.card-header -->
                    <!-- form start -->
                    <form action="{{route('makanan.update', $data_makanan->id)}}" method="post" role="form">
                        @csrf
                        @method('PATCH')
                        <div class="card-body">
                            <div class="form-group">
                                <label>ID:</label>
                                <input disabled name="judul" type="text" class="form-control" id="judul" placeholder="ID" value="{{$data_makanan->id}}">
                            </div>
                            <div class="form-group">
                                <label>Judul:</label>
                                <input name="judul" type="text" class="form-control" id="judul" placeholder="Judul Makanan" value="{{$data_makanan->judul}}">
                            </div>
                            <div class="form-group">
                                <label>Content:</label>
                                <input name="content" type="text" class="form-control" id="content" placeholder="Content" value="{{$data_makanan->content}}">
                            </div>
                            <div class="form-group">
                                <label>Image:</label>
                                <input name="image" type="text" class="form-control" id="image" placeholder="Image" value="{{$data_makanan->image}}">
                            </div>
                            <!-- <div class="form-group">
                                <label for="exampleInputFile">Image:</label>
                                <div class="input-group">
                                    <div class="custom-file">
                                        <input name="image" type="file" class="custom-file-input" id="image">
                                        <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                                    </div>
                                    <div class="input-group-append">
                                        <span class="input-group-text" id="">Upload</span>
                                    </div>
                                </div>
                            </div> -->
                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
            <!--/.col (left) -->
        </div>
        <!-- /.row -->
    </div><!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection

@section('additional')
<!-- jQuery -->
<script src="/adminlte/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="/adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables -->
<script src="/adminlte/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="/adminlte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="/adminlte/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="/adminlte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="/adminlte/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="/adminlte/js/demo.js"></script>
<!-- page script -->
<script>
    $(function() {
        $("#example1").DataTable({
            "responsive": true,
            "autoWidth": false,
        });
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": false,
            "searching": false,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
        });
    });
</script>
@endsection

resources/views/makanan/index.blade.php
@extends('layouts.master')
@section('title','CMS | Makanan')
@section('content')
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Makanan</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Home</a></li>
                    <li class="breadcrumb-item active">Makanan</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">

                <div class="card">
                    @if(session('sukses'))
                    <div class="alert alert-success" role="alert">
                        {{session('sukses')}}
                    </div>
                    @endif
                    <div class="card-header">
                        <!-- <h3 class="card-title">Data</h3> -->
                        <div class="row">
                            <div class="col-6">
                                <h3 class="card-title">Data</h3>
                            </div>
                            <div class="col-6">
                                <a href="/makanan/create" class="btn btn-primary btn-sm float-right">Tambah Makanan</a>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table id="example1" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Judul</th>
                                    <th>Content</th>
                                    <th>Image</th>
                                    <th>Aksi</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($data_makanan as $makanan)
                                <tr>
                                    <td>{{$makanan->id}}</td>
                                    <td>{{$makanan->judul}}</td>
                                    <td>{{$makanan->content}}</td>
                                    <td><a href="{{asset('/storage/images/products/'.$makanan->image)}}">Open Image</a></td>
                                    <td>
                                        <a href="{{route('makanan.edit', $makanan->id)}}" class="btn btn-warning"><i class="fas fa-edit"></i> Edit</a>

                                        <form action="{{route('makanan.destroy', $makanan->id)}}" method="post">
                                            @csrf
                                            @method('DELETE')
                                            <button class="btn btn-danger" type="submit"><i class="fas fa-trash"></i> Delete</button>
                                        </form>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                            <tfoot>
                                <tr>
                                    <th>ID</th>
                                    <th>Judul</th>
                                    <th>Content</th>
                                    <th>Image</th>
                                    <th>Aksi</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection

@section('additional')
<!-- jQuery -->
<script src="/adminlte/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="/adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables -->
<script src="/adminlte/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="/adminlte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="/adminlte/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="/adminlte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="/adminlte/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="/adminlte/js/demo.js"></script>
<!-- page script -->
<script>
    $(function() {
        $("#example1").DataTable({
            "responsive": true,
            "autoWidth": false,
        });
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": false,
            "searching": false,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
        });
    });
</script>
@endsection